Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGImageElementBridge.ProtectedStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.BufferedInputStream
                  org.apache.batik.bridge.SVGImageElementBridge.ProtectedStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  SVGImageElementBridge

    public static class SVGImageElementBridge.ProtectedStream

extends BufferedInputStream

Field Summary

Fields inherited from class java.io.BufferedInputStream
`buf, count, marklimit, markpos, pos`

Fields inherited from class java.io.FilterInputStream
`in`

Method Summary
`void` | `close()`
`void` | `mark(int sz)`
`boolean` | `markSupported()`
`void` | `release()`
`void` | `reset()`
`void` | `retry()`

Methods inherited from class java.io.BufferedInputStream
`available, read, read, skip`

Methods inherited from class java.io.FilterInputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `BufferedInputStream`

### mark

    public void mark(int sz)

  Overrides:
    `mark` in class `BufferedInputStream`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `BufferedInputStream`
  Throws:
    `IOException`

### retry

    public void retry()
               throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `BufferedInputStream`
  Throws:
    `IOException`

### release

    public void release()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.